Issue 87595 - Crash when discarding changes on quit application with graphic inside document
Summary: Crash when discarding changes on quit application with graphic inside document
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: DEV300m2
Hardware: Mac Mac OS X, all
: P2 Trivial (vote)
Target Milestone: OOo 3.0
Assignee: h.ilter
QA Contact: issues@framework
URL:
Keywords: crash, regression
Depends on:
Blocks:
 
Reported: 2008-03-29 20:08 UTC by Graham Perrin
Modified: 2008-08-05 11:04 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Graham Perrin 2008-03-29 20:08:27 UTC
OpenOffice.org 3.0.0 beta 
Aqua 
buildid=300m2(Build:9281)
launched from read-only volume (in this case, disk image mounted from OOo_3.0.0_080314_MacOSXIntel_install_en-GB.dmg).

1. launch OOo

2. click the button to create a text document (or a presentation)

3. from the gallery, drag the rose background to the editing window

4. use a drag handle to re-size the rose

5. command-q to quit

6. click Discard

Crash. 

http://pastebin.ca/962376 
is the crash when discarding changes to a text document. 

http://pastebin.ca/962379 
is the crash when discarding changes to a presentation.
Comment 1 Oliver Specht 2008-03-30 15:25:28 UTC
->mru: Please find someone to take care for this issue. 
Comment 2 michael.ruess 2008-03-31 14:39:34 UTC
MRU->SJ: insert a graphic into any document type, quit OOo (discard changes) ->
crash.
Comment 3 sven.jacobi 2008-04-16 12:15:01 UTC
sj->pl: can you please take over this issue
Comment 4 philipp.lohmann 2008-04-16 13:10:36 UTC
fixed in CWS aquavcl07
Comment 5 philipp.lohmann 2008-05-13 19:32:35 UTC
please verify inCWS aquavcl07
Comment 6 h.ilter 2008-05-28 09:46:47 UTC
Verified with cws aquavcl07 = ok
Comment 7 stx123 2008-08-05 10:56:10 UTC
I test this Issue in version m28
(OOo-Dev_DEV300_m28_MacOSXIntel_AQUA_install_en-US.dmg) on MAC OS X 10.5.4.
with me OOo doesn't crash, when I close OOo with Command+Q (and click Discard).

This Issue can therefore are closed.
Comment 8 Raphael Bircher 2008-08-05 11:04:49 UTC
thanks martin closing issue